using CaseAccountingContracts.BindingModels;
using CaseAccountingContracts.SearchModels;
using CaseAccountingContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.BusinessLogicContracts
{
    public interface ILawyerLogic
    {
        List<LawyerViewModel>? ReadList(LawyerSearchModel? model);
        LawyerViewModel? ReadElement(LawyerSearchModel model);
        bool Create(LawyerBindingModel model);
        bool Update(LawyerBindingModel model);
        bool Delete(LawyerBindingModel model);
    }
}
